CLOSE(7)

NAME
CLOSE - close a cursor

SYNOPSIS

CLOSE cursor

  INPUTS

cursor
    The name of an open cursor to close.

  OUTPUTS

CLOSE
    Message returned if the cursor is successfully closed.

NOTICE PerformPortalClose: portal "cursor" not found
    This warning is given if cursor is not declared or has already been closed.

DESCRIPTION

CLOSE frees the resources associated with an open cursor. After the cursor is closed, no subsequent operations are allowed on it. A cursor should be closed when it is no longer needed.

An implicit close is executed for every open cursor when a transaction is terminated by COMMIT or ROLLBACK.

  NOTES

PostgreSQL does not have an explicit OPEN cursor statement; a cursor is considered open when it is declared. Use the DECLARE statement to declare a cursor.

USAGE

Close the cursor liahona:

CLOSE liahona;

COMPATIBILITY

  SQL92

CLOSE is fully compatible with SQL92.